/*
Keycodes for OpenTheatre


This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Copyright 2008 Daniel
Copyright 2008 Thomas Axelsson

*/

/* Remote control (Buttons) */
var BTN_1            = 3211313;
var BTN_2            = 3276850;
var BTN_3            = 3342387;
var BTN_4            = 3407924;
var BTN_5            = 3473461;
var BTN_6            = 3538998;
var BTN_7            = 3604535;
var BTN_8            = 3670072;
var BTN_9            = 3735609;
var BTN_0            = 3145776;
var BTN_VOLUP        = 24248434;
var BTN_VOLDN        = 24182897;
var BTN_MUTE         = 24313971;
var BTN_MENU         = 7405681;
var BTN_VIDEO        = 7471218;
var BTN_E            = 7864440;
var BTN_QUESTIONMARK = 7536755;
var BTN_MIDUP        = 2490406;
var BTN_MIDDN        = 2621480;
var BTN_MIDLT        = 2424869;
var BTN_MIDRT        = 2555943;
var BTN_MIDOK        = 7995514;
var BTN_INFO         = 8061051;
var BTN_BACK         = 7929977;
var BTN_TEXT         = 7340144;
var BTN_TVTEXT       = 1769499;
var BTN_PP           = 24379508;
var BTN_REW          = 24445045;
var BTN_FOW          = 24510582;
var BTN_STOP         = 24576119;
var BTN_RED          = 7602292;
var BTN_GREEN        = 7667829;
var BTN_YELLOW       = 7733366;
var BTN_BLUE         = 7798903;
var BTN_PPLUS        = 19267622;
var BTN_PMINUS       = 19398696;
var BTN_SKIPLT       = 19202085;
var BTN_SKIPRT       = 19333159;

var KEY_ENTER = 13;
var KEY_SPC = 32;
var KEY_PGUP = 33;
var KEY_PGDN = 34;
var KEY_LT = 37
var KEY_UP = 38;
var KEY_RT = 39;
var KEY_DN = 40;

if(_debugMode)
{
    BTN_MIDOK = KEY_ENTER;
    BTN_PP = KEY_SPC;
    BTN_PMINUS = KEY_PGDN;
    BTN_PPLUS = KEY_PGUP;
    BTN_MIDUP = KEY_UP;
    BTN_MIDDN = KEY_DN;
    BTN_MIDLT = KEY_LT;
    BTN_MIDRT = KEY_RT;
}
